petsc-3.4.2 2013-07-02

# PCBDDCSetMaxLevels

Sets the maximum number of levels within the multilevel approach.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetMaxLevels(PC pc,PetscInt max_levels)

Logically collective on PC

### Input Parameters

| pc | - the preconditioning context
| max_levels | - the maximum number of levels

Default value is 1, i.e. coarse problem will be solved inexactly with one application of PCBDDC preconditioner if the multilevel approach is requested.

### Notes

### See Also

PCBDDC

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages